#1130 InterPro mappings to GO:0004221 (ubiquitin thiolesterase activity)

InterPro
closed-fixed
nobody
5
2014-06-09
2013-12-12
RFoulger
No

Based on advice from Kristian Axelson, it's been suggested to obsolete 'ubiquitin thiolesterase activity ; GO:0004221 (EC 3.1.2.15)'. Before I send out the obsoletion notice, would you consider remapping the following InterPro domains:

IPR001394: change the EC number from EC 3.1.2.15 to EC 3.4.19.12.
IPR001578: EC mapping is missing. Add EC 3.4.19.12
IPR006615: EC mapping is missing. Add EC 3.4.19.12
IPR018200: change the EC number from EC 3.1.2.15 to EC 3.4.19.12.

The details are in this SF item:
https://sourceforge.net/p/geneontology/ontology-requests/10519/
(a 2-pager)

Thanks,
Becky

Related

Annotation issues: #1130

Discussion

  • Hsin-Yu Chang
    Hsin-Yu Chang
    2013-12-12

    Hello Becky,

    I have replaced EC 3.1.2.15 with EC 3.4.19.12 in both IPR001394 and IPR018200 entries. We are also looking into adding EC 3.4.19.12 in the descriptions of the two entries as Kristian mentioned (IPR001578 and IPR006615). Thank you.

    Regards,

    Hsinyu

     
  • Pascale Gaudet
    Pascale Gaudet
    2013-12-12

    Hi,

    I suppose you will also update the GO mappings accordingly ? It should be 'ubiquitin-specific protease activity ; GO:0004843'.

    Cheers,

    Pascale

     
    • Hsin-Yu Chang
      Hsin-Yu Chang
      2013-12-13

      Hello Pascale,

      I have updated the GO mappings.

      Thank you,

      Hsinyu
      On 12/12/2013 17:00, Pascale Gaudet wrote:

      Hi,

      I suppose you will also update the GO mappings accordingly ? It should be 'ubiquitin-specific protease activity ; GO:0004843'.

      Cheers,

      Pascale


      [annotation-issues:#1130] InterPro mappings to GO:0004221 (ubiquitin thiolesterase activity)

      Status: open
      Labels: InterPro mapping
      Created: Thu Dec 12, 2013 04:19 PM UTC by RFoulger
      Last Updated: Thu Dec 12, 2013 04:55 PM UTC
      Owner: nobody

      Based on advice from Kristian Axelson, it's been suggested to obsolete 'ubiquitin thiolesterase activity ; GO:0004221 (EC 3.1.2.15)'. Before I send out the obsoletion notice, would you consider remapping the following InterPro domains:

      IPR001394: change the EC number from EC 3.1.2.15 to EC 3.4.19.12.
      IPR001578: EC mapping is missing. Add EC 3.4.19.12
      IPR006615: EC mapping is missing. Add EC 3.4.19.12
      IPR018200: change the EC number from EC 3.1.2.15 to EC 3.4.19.12.

      The details are in this SF item:
      https://sourceforge.net/p/geneontology/ontology-requests/10519/
      (a 2-pager)

      Thanks,
      Becky


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/geneontology/annotation-issues/1130/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Annotation issues: #1130

  • RFoulger
    RFoulger
    2013-12-19

    Hi Hsinyu,

    There's been more discussion about these terms on the GO mailing list and off-line (summarised in SF:https://sourceforge.net/p/geneontology/ontology-requests/10519/).

    The main thing is that 'ubiquitin-specific protease activity ; GO:0004843' is too specific for mapping to 3.4.19.12 as GO:4843 is restricted to peptide bond hydrolysis. I've instead created a new broader term (GO:0036459) for EC:3.4.19.12 mapping. The GO structure is now:

    ubiquitinyl hydrolase activity ; GO:0036459 (NEW)
    --[isa]ubiquitin-specific protease activity ; GO:0004843
    --[isa]ubiquitin thiolesterase activity ; GO:0004221

    ubiquitinyl hydrolase activity ; GO:0036459 covers hydrolysis of ester, thioester, amide, peptide and isopeptide bonds between ubiquitin and substrate (3.4.19.12).

    ubiquitin-specific protease activity ; GO:0004843 describes hydrolysis of a peptide bond.

    ubiquitin thiolesterase activity ; GO:0004221 describes hydrolysis of a thioester bond. (EC 3.1.2.15).

    Any InterPro mappings that describe peptide bond hydrolysis are therefore good to map to GO:0004843, but for broader domains, instead map to the new term
    ubiquitinyl hydrolase activity ; GO:0036459.

    The EC:3.1.2.15 may still be obsoleted as an EC number, as it's redundant in the EC context so the EC:InterPro mapping changes are still correct.

    Sorry for any additional work- please let me know if you've got any questions.
    Thanks,
    Becky

     
  • Hsin-Yu Chang
    Hsin-Yu Chang
    2013-12-19

    Hello Becky,

    No problems! I have taken down the GO:0004843 for both IPR001394 and IPR018200. I cannot add the new term (GO:0036459) yet. When it's ready, I will add GO:0036459 in these entries.

    Regards,

    Hsinyu

     
    • status: open --> closed-fixed